Update Global Control Group
This API adds or removes users from the Global Control Group (GCG) in MoEngage. Provide a publicly accessible CSV of user IDs and specify whether to add or remove those users.
Rate Limit
The rate limit is 10 RPM.- One file-processing request must complete before the next API call is accepted.
- Currently, only publicly accessible Amazon S3 URLs are supported for
file_url. - The Global Control Group must already be initialized with the Upload Users option before this API can be used. This API does not support the Random allocation option.
- When the GCG base is successfully updated, subsequent runs of existing campaigns use the updated list.
- Once file processing is completed, an email is sent to the user identified by
updated_bysummarizing the number of users successfully processed, the number of users that failed, and the possible reasons.
Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.
Headers
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
Body
Request to add or remove users from the Global Control Group (GCG).
Unique identifier of the request to update the Global Control Group.
"{{request_id}}"
Publicly accessible URL of the CSV file for processing. The file must contain a single column named uid followed by the respective user IDs in new rows. The file must be under 300 MB and downloadable without authentication.
Note: Currently, only publicly accessible Amazon S3 URLs are supported.
"https://example.csv"
The operation to perform on users in the Global Control Group.
add, remove The email ID of the user initiating the update.
"john.doe@xyz.com"
Response
No Content - The request was processed successfully. There is no response body.